> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve organization settings

> Retrieve typed organization settings with persisted values merged over defaults.



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public get /v1/organizations/{organizationId}/settings
openapi: 3.1.0
info:
  title: Tembo Public API
  description: Public API Endpoints for Tembo
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/organizations/{organizationId}/settings:
    get:
      tags:
        - Organizations
      summary: Retrieve organization settings
      description: >-
        Retrieve typed organization settings with persisted values merged over
        defaults.
      operationId: retrieveOrganizationSettings
      parameters:
        - in: path
          name: organizationId
          schema:
            type: string
          required: true
      responses:
        '200':
          description: Retrieve organization settings
          content:
            application/json:
              schema:
                type: object
                properties:
                  organizationId:
                    type: string
                  settings:
                    type: object
                    properties:
                      cloneDepth:
                        type: integer
                        exclusiveMinimum: 0
                      commitInstructions:
                        type: string
                        maxLength: 64000
                      customSystemPrompt:
                        type: string
                        maxLength: 64000
                      defaultAgent:
                        type: string
                        maxLength: 64000
                      defaultSandboxSize:
                        type: string
                        enum:
                          - nano
                          - micro
                          - small
                          - medium
                          - large
                          - xl
                          - xxl
                          - ultra
                      deleteBranchWhenPrClosed:
                        type: boolean
                      draftPrs:
                        type: boolean
                      enableCoderabbitBot:
                        type: boolean
                      enableCursorBot:
                        type: boolean
                      enableGeminiCodeAssistBot:
                        type: boolean
                      enableGithubActionsBot:
                        type: boolean
                      enableGraphiteBot:
                        type: boolean
                      enableGreptileBot:
                        type: boolean
                      experimentalMcp:
                        type: boolean
                      featureMentionAuthor:
                        type: boolean
                      freePrPeriod:
                        type: number
                        minimum: 0
                      maxBotReviews:
                        type: integer
                        minimum: 0
                      maxSolutions:
                        type: integer
                        minimum: 0
                      onDemandMaxCreditUsage:
                        type: number
                        minimum: 0
                      pgStatStatementsResetFrequency:
                        type: string
                        maxLength: 64000
                      pmSystemPrompt:
                        type: string
                        maxLength: 64000
                      prTitleInstructions:
                        type: string
                        maxLength: 64000
                      pullRequestInsightsEnabled:
                        type: boolean
                      repositoryDetectionHint:
                        type: string
                        maxLength: 64000
                      shouldSignCommits:
                        type: boolean
                      slackReviewOnTembo:
                        type: boolean
                      slowQueryThresholdMs:
                        type: number
                        minimum: 0
                      sshPublicKeys:
                        type: string
                        maxLength: 64000
                      weeklyReportEnabled:
                        type: boolean
                    required:
                      - cloneDepth
                      - commitInstructions
                      - customSystemPrompt
                      - defaultAgent
                      - defaultSandboxSize
                      - deleteBranchWhenPrClosed
                      - draftPrs
                      - enableCoderabbitBot
                      - enableCursorBot
                      - enableGeminiCodeAssistBot
                      - enableGithubActionsBot
                      - enableGraphiteBot
                      - enableGreptileBot
                      - experimentalMcp
                      - featureMentionAuthor
                      - freePrPeriod
                      - maxBotReviews
                      - maxSolutions
                      - onDemandMaxCreditUsage
                      - pgStatStatementsResetFrequency
                      - pmSystemPrompt
                      - prTitleInstructions
                      - pullRequestInsightsEnabled
                      - repositoryDetectionHint
                      - shouldSignCommits
                      - slackReviewOnTembo
                      - slowQueryThresholdMs
                      - sshPublicKeys
                      - weeklyReportEnabled
                    additionalProperties: false
                required:
                  - organizationId
                  - settings
                additionalProperties: false
        '400':
          description: Validation error or missing organization scope
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '403':
          description: Organization administrator access is required
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: Organization resource not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '409':
          description: Organization operation conflicts with existing state
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '500':
          description: Organization operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '503':
          description: Required organization storage is unavailable
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````